> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy phí giao dịch ước tính

> Truy xuất chi phí on-chain ước tính (lamports). Được cache trong 60 giây.



## OpenAPI

````yaml /vi/api-reference/openapi/api-v3.yaml get /main/auto-fee
openapi: 3.0.3
info:
  title: Raydium API v3
  version: 3.0.0
  description: >-
    Raydium API v3 cung cấp các REST endpoint để truy vấn liquidity pool, thông
    tin mint, chi tiết farm, IDO pool và metadata chuỗi cho blockchain Solana.
    Được sử dụng bởi ví, aggregator và trader để lấy nguồn cấp giá, dữ liệu pool
    và thông tin định tuyến.
servers:
  - url: https://api-v3.raydium.io
    description: Môi trường Production (Mainnet)
  - url: https://api-v3-devnet.raydium.io
    description: Môi trường Development (Devnet)
security: []
tags:
  - name: Main
    description: Các API endpoint cốt lõi cho thông tin chuỗi, TVL và cấu hình
  - name: Mint
    description: Thông tin token mint và giá
  - name: Pools
    description: Thông tin liquidity pool, khóa và dữ liệu lịch sử
  - name: Farms
    description: Thông tin farm pool và khóa
  - name: IDO
    description: Thông tin IDO pool và khóa
paths:
  /main/auto-fee:
    get:
      tags:
        - Main
      summary: Lấy phí giao dịch ước tính
      description: >-
        Truy xuất chi phí on-chain ước tính (lamports). Được cache trong 60
        giây.
      operationId: getMainAutoFee
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: object
components:
  schemas:
    ApiResponse:
      type: object
      description: >-
        Phong bì phản hồi chung. Trường `data` được cung cấp bởi schema phản hồi
        của từng endpoint thông qua `allOf` và do đó không được khai báo trên
        phong bì cơ sở.
      required:
        - id
        - success
      properties:
        id:
          type: string
          description: ID yêu cầu (UUID)
        success:
          type: boolean
          description: Cho biết yêu cầu có thành công hay không
        msg:
          type: string
          description: Thông báo lỗi nếu success là false

````